package com.anibal.prueba_pooproyect;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemClock;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;

/**
 * actividad necesaria en la SplashScreen donde se ve el logo de la app, su funcionamiento es basico
 * pero no menos importante. Acorde a la informacion obtenida esta es la forma correcta de implementacion para
 * ahorrar la mayor cantidad de recursos
 */
public class SplashActivity extends AppCompatActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                Intent intent = new Intent(SplashActivity.this,SecondActivity.class);
                startActivity(intent);

                finish();

            }
        },2000);
    }
}
